[pkg-opensc-commit] [libp11] 37/67: Use GitHub source of OpenSC for Travis CI

Eric Dorland eric at moszumanska.debian.org
Sat Jan 30 05:34:15 UTC 2016


This is an automated email from the git hooks/post-receive script.

eric pushed a commit to branch master
in repository libp11.

commit 32b42cfed16ba3842607e06d34c637ee781ba37b
Author: Michał Trojnara <Michal.Trojnara at stunnel.org>
Date:   Tue Jan 5 17:06:08 2016 +0100

    Use GitHub source of OpenSC for Travis CI
---
 .travis.sh  | 51 +++++++++++++++++++++++++++++++++++++++++++++++++++
 .travis.yml | 11 ++++++-----
 2 files changed, 57 insertions(+), 5 deletions(-)

diff --git a/.travis.sh b/.travis.sh
new file mode 100755
index 0000000..e887cbc
--- /dev/null
+++ b/.travis.sh
@@ -0,0 +1,51 @@
+#!/bin/sh
+set -e
+#
+# Copyright (c) 2016 Michał Trojnara <Michal.Trojnara at stunnel.org>
+#
+# Redistribution and use in source and binary forms, with or without
+# modification, are permitted provided that the following conditions
+# are met:
+# 1. Redistributions of source code must retain the above copyright
+#    notice, this list of conditions and the following disclaimer.
+# 2. Redistributions in binary form must reproduce the above copyright
+#    notice, this list of conditions and the following disclaimer in the
+#    documentation and/or other materials provided with the distribution.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR
+# IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES
+# OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
+# IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT,
+# INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT
+# NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
+# DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
+# THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
+# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF
+# THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+install_from_github() {
+    echo "Installing $2"
+    git clone https://github.com/$1/$2.git
+    cd $2
+    autoreconf -fvi
+    ./configure
+    make
+    sudo -E make install
+    cd ..
+    echo "$2 installed"
+    sudo ldconfig
+}
+
+# ppa:pkg-opendnssec provides a less-obsolete softhsm
+sudo apt-add-repository -y ppa:pkg-opendnssec/ppa
+sudo apt-get update -qq
+# libpcsclite-dev is required for OpenSC
+# softhsm is required for "make check"
+sudo apt-get install -y libpcsclite-dev softhsm
+
+export CC=`which $CC`
+mkdir prerequisites
+cd prerequisites
+install_from_github OpenSC OpenSC
+cd ..
+rm -rf prerequisites
diff --git a/.travis.yml b/.travis.yml
index 5c5cf31..2bf20fe 100644
--- a/.travis.yml
+++ b/.travis.yml
@@ -1,12 +1,13 @@
+sudo: true
+
 language: c
+
 compiler:
-  - gcc
   - clang
+  - gcc
+
 before_script:
-  - sudo apt-add-repository -y ppa:pkg-opendnssec/ppa
-  - sudo apt-get update -qq
-  - sudo apt-get install -y softhsm libsofthsm-dev opensc
+  - ./.travis.sh
   - touch config.rpath && autoreconf -fvi && ./configure --enable-strict --enable-pedantic
 
 script: make && make check && make dist
-

-- 
Alioth's /usr/local/bin/git-commit-notice on /srv/git.debian.org/git/pkg-opensc/libp11.git



More information about the pkg-opensc-commit mailing list